<div class="modal-header padding-10">
  <span class="modal-title font-weight-bold">
    <span>Create</span>
    Symptom for Disease
  </span>
</div>
<div class="modal-body padding-10" style="max-height: 400px; overflow-y: auto; overflow-x: hidden">
  <div class="row">
    <div class="col-sm">
      <form class="form-horizontal"
            novalidate
            (keyup.enter)="save()"
            [formGroup]="diseaseSymptomGroup">
        <div class="form-group">
          <label class="font-weight-bold">Symptom Type *</label>
          <select class="form-control" [formControl]="symptomTypeControl" required (change)="getSymptoms()">
            <option value="0" disabled selected>Select Symptom Type</option>
            <option *ngFor="let s of symptomTypes" [value]="s.id">{{s.name}}</option>
          </select>
          <app-form-error [fieldName]="'Symptom Type'" [control]="symptomTypeControl"></app-form-error>
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Symptom *</label>
          <select class="form-control" [formControl]="symptomControl" required>
            <option value="0" disabled selected>Select Symptom Type</option>
            <option *ngFor="let s of symptoms" [value]="s.id">{{s.name}}</option>
          </select>
          <app-form-error [fieldName]="'Symptom'" [control]="symptomControl"></app-form-error>
        </div>
      </form>
    </div>
  </div>
</div>
<div class="modal-footer padding-10">
  <!--  <button class="btn btn-danger btn-round btn-md" (click)="reject()">Reject-->
  <!--  </button>-->
  <button class="btn btn-primary btn-round btn-md" [disabled]="diseaseSymptomGroup.invalid || isLoading" (click)="save()">
    <span>Save</span>
  </button>
  &nbsp;
  <button class="btn btn-neutral" (click)="close()">Close</button>
</div>
